/* indent size: 2 */

// eslint-disable-next-line strict
module.exports = app => {
  const DataTypes = app.Sequelize;

  const Model = app.model.define('UserLoginLogs', {
    id: {
      type: DataTypes.INTEGER(10).UNSIGNED,
      allowNull: false,
      primaryKey: true,
      autoIncrement: true,
    },
    user_id: {
      type: DataTypes.INTEGER(10),
      allowNull: true,
    },
    nickname: {
      type: DataTypes.STRING(128),
      allowNull: true,
    },
    headimgurl: {
      type: DataTypes.STRING(256),
      allowNull: true,
    },
    login_time: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    update_ttime: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    create_time: {
      type: DataTypes.TIME,
      allowNull: true,
    },
    is_employee: {
      type: DataTypes.INTEGER(1).UNSIGNED,
      allowNull: true,
    },
  }, {
    tableName: 'szj_users_login_logs',
  });

  Model.associate = function() {

  };
  // 同步:没有就新建,有就不变
  Model.sync();
  return Model;
};
